%global module_name cangjie

Name:             python3-%{module_name}
Summary:          Python bindings to libcangjie
Version:          1.0
Release:          1%{?dist}
License:          LGPLv3+
URL:              http://cangjians.github.io/projects/%{name}
Source0:          http://cangjians.github.io/downloads/%{name}/%{module_name}-%{version}.tar.xz

BuildRequires:    python3-Cython
BuildRequires:    python3-devel
BuildRequires:    libcangjie-devel >= 1.0

%description
Python bindings to libcangjie, the library implementing Cangjie and Quick
input methods.


%prep
%setup -q -n %{module_name}-%{version}


%build
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}

find %{buildroot} -name '*.la' -exec rm -f '{}' \;


%check
make check


%files
%doc AUTHORS COPYING README.md
%{python3_sitearch}/%{module_name}


%changelog
* Tue Dec 24 2013 Mathieu Bridon <bochecha@fedoraproject.org> - 1.0-1
- New upstream 1.0 release.

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Apr 20 2013 Mathieu Bridon <bochecha@fedoraproject.org> - 0.0.1-1
- Initial package for Fedora.
